curl --request POST \
--url https://api.jtl-cloud.com/erp/v2/sales-invoices/{salesInvoiceId}/correct \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"asDraft": true,
"useUndeliveredQuantities": true,
"disableAutomaticWorkflows": true,
"reduceSalesOrderQuantities": true,
"reduceDeliveryQuantities": true,
"cancelWebShopOrder": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-invoices/{salesInvoiceId}/correct"
payload = {
"asDraft": True,
"useUndeliveredQuantities": True,
"disableAutomaticWorkflows": True,
"reduceSalesOrderQuantities": True,
"reduceDeliveryQuantities": True,
"cancelWebShopOrder": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
asDraft: true,
useUndeliveredQuantities: true,
disableAutomaticWorkflows: true,
reduceSalesOrderQuantities: true,
reduceDeliveryQuantities: true,
cancelWebShopOrder: true
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-invoices/{salesInvoiceId}/correct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"salesInvoiceCorrectionId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Creates a new sales invoice correction from an existing invoice.
Creates a new sales invoice correction from an existing invoice.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
Request parameters
Creates a new sales invoice correction from an existing invoice. - Request
Indicates if the sales invoice correction should be created as draft.
Indicates if only undelivered quantities should be used.
If true, the workflows do not trigger automatic.
If true, the sales order quantities will be reduced.
If true, the delivery quantities will be reduced.
If true, the web shop order will be canceled
Response
Sales invoice correction created successfully
Creates a new sales invoice correction from an existing invoice. - Response
The Id of the created sales invoice correction
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?